Subject: 3.19 on Nokia n900: audio quality awful

From: [email-masked] (Pavel Machek)
Date: Tue, 6 Jan 2015 22:57:44 +0100

On Tue 2015-01-06 14:54:13, Felipe Balbi wrote:
> Hi,
> 
> On Tue, Jan 06, 2015 at 09:50:00PM +0100, Pavel Machek wrote:
> > On Tue 2015-01-06 14:28:57, Felipe Balbi wrote:
> > > On Tue, Jan 06, 2015 at 06:51:15PM +0100, Pavel Machek wrote:
> > > > 
> > > > On Tue 2015-01-06 11:25:45, Felipe Balbi wrote:
> > > > > On Tue, Jan 06, 2015 at 06:04:33PM +0100, Pavel Machek wrote:
> > > > > > Hi!
> > > > > > 
> > > > > > In 3.18, sound is nice and clear.
> > > > > > 
> > > > > > In 3.19, sound is unusable. It produces nasty tone when it should be
> > > > > > quiet, and there's at least as much noise as is sound.
> > > > > > 
> > > > > > Unfortunately, list of mixers also changed (and there's cca 120
> > > > > > settings), but a) it does not work with the old list and b) nothing I
> > > > > > could figure out did make the sound usable. Some setting resulted in
> > > > > > even more noise.
> > > > > > 
> > > > > > Any idea what could have caused it?
> > > > > 
> > > > > $ git bisect start
> > > > > $ git bisect good v3.18
> > > > > $ git bisect bad
> > > > > 
> > > > > that'll help find what caused it.
> > > > 
> > > > Telling someone to do hard and time consuming job that probably will
> > > > not succeed, instead of actually providing help. Very very funny.
> > > 
> > > you're getting code for free, you're getting help for free. Not many
> > > people have N900s lying around. Running a bisection is just
> > > politeness.
> > 
> > Now you are speaking for yourself or for TI?
> 
> why bring my employer into the discussion ?

Because you are speaking of getting help for free, and I don't
remember getting any useful help from you; so I'd like to know who do
you speak for.

> > Thanks for your very valuable help. I know how to do a bisection,
> > thank you.
> 
> then please do it.

No, sorry, I don't think that would be reasonable use of my time at
this point. First steps are "confirm it happens on other N900 boards,
too", ruling out config issues at my part, and "try to get
verification from other development boards if they have same
problems", because most other boards are easier to work with.

									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html